package com.ruoyi.project.pssr.service;

import java.util.List;
import com.ruoyi.project.pssr.domain.TPssrPublic;

/**
 * 公用工程Service接口
 * 
 * @author ssy
 * @date 2024-09-18
 */
public interface ITPssrPublicService 
{
    /**
     * 查询公用工程
     * 
     * @param id 公用工程ID
     * @return 公用工程
     */
    public TPssrPublic selectTPssrPublicById(Long id);
    public int selectNoConfirmCount(Long subId);

    /**
     * 查询公用工程列表
     * 
     * @param tPssrPublic 公用工程
     * @return 公用工程集合
     */
    public List<TPssrPublic> selectTPssrPublicList(TPssrPublic tPssrPublic);

    /**
     * 新增公用工程
     * 
     * @param tPssrPublic 公用工程
     * @return 结果
     */
    public int insertTPssrPublic(TPssrPublic tPssrPublic);

    /**
     * 修改公用工程
     * 
     * @param tPssrPublic 公用工程
     * @return 结果
     */
    public int updateTPssrPublic(TPssrPublic tPssrPublic);

    /**
     * 批量删除公用工程
     * 
     * @param ids 需要删除的公用工程ID
     * @return 结果
     */
    public int deleteTPssrPublicByIds(Long[] ids);

    /**
     * 删除公用工程信息
     * 
     * @param id 公用工程ID
     * @return 结果
     */
    public int deleteTPssrPublicById(Long id);
}
